Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::POA Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA:

[legend]
Collaboration diagram for PortableServer::POA:

[legend]
List of all members.

## Public Types
typedef POA_ptr | _ptr_type
typedef POA_var | _var_type
## Public Member Functions
POA | create_POA (in string adapter_name, in POAManager a_POAManager, in CORBA::PolicyList policies) raises (AdapterAlreadyExists, InvalidPolicy)
POA | find_POA (in string adapter_name, in boolean activate_it) raises (AdapterNonExistent)
void | destroy (in boolean etherealize_objects, in boolean wait_for_completion)
ThreadPolicy | create_thread_policy (in ThreadPolicyValue value)
LifespanPolicy | create_lifespan_policy (in LifespanPolicyValue value)
IdUniquenessPolicy | create_id_uniqueness_policy (in IdUniquenessPolicyValue value)
IdAssignmentPolicy | create_id_assignment_policy (in IdAssignmentPolicyValue value)
ImplicitActivationPolicy | create_implicit_activation_policy (in ImplicitActivationPolicyValue value)
ServantRetentionPolicy | create_servant_retention_policy (in ServantRetentionPolicyValue value)
RequestProcessingPolicy | create_request_processing_policy (in RequestProcessingPolicyValue value)
ServantManager | get_servant_manager () raises (WrongPolicy)
void | set_servant_manager (in ServantManager imgr) raises (WrongPolicy)
Servant | get_servant () raises (NoServant, WrongPolicy)
void | set_servant (in Servant p_servant) raises (WrongPolicy)
ObjectId | activate_object (in Servant p_servant) raises (ServantAlreadyActive, WrongPolicy)
void | activate_object_with_id (in ObjectId id, in Servant p_servant) raises (ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy)
void | deactivate_object (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
Object | create_reference (in CORBA::RepositoryId intf) raises (WrongPolicy)
Object | create_reference_with_id (in ObjectId oid, in CORBA::RepositoryId intf)
ObjectId | servant_to_id (in Servant p_servant) raises (ServantNotActive, WrongPolicy)
Object | servant_to_reference (in Servant p_servant) raises (ServantNotActive, WrongPolicy)
Servant | reference_to_servant (in Object reference) raises (ObjectNotActive, WrongAdapter, WrongPolicy)
ObjectId | reference_to_id (in Object reference) raises (WrongAdapter, WrongPolicy)
Servant | id_to_servant (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
Object | id_to_reference (in ObjectId oid) raises (ObjectNotActive, WrongPolicy)
virtual ::PortableServer::POA_ptr | create_POA (const char *adapter_name,::PortableServer::POAManager_ptr a_POAManager, const ::CORBA::PolicyList &policies)=0 throw ( CORBA::SystemException, ::PortableServer::POA::AdapterAlreadyExists, ::PortableServer::POA::InvalidPolicy )
virtual ::PortableServer::POA_ptr | find_POA (const char *adapter_name,::CORBA::Boolean activate_it)=0 throw ( CORBA::SystemException, ::PortableServer::POA::AdapterNonExistent )
virtual void | destroy (::CORBA::Boolean etherealize_objects,::CORBA::Boolean wait_for_completion)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::ThreadPolicy_ptr | create_thread_policy (::PortableServer::ThreadPolicyValue value)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::LifespanPolicy_ptr | create_lifespan_policy (::PortableServer::LifespanPolicyValue value)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (::PortableServer::IdUniquenessPolicyValue value)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (::PortableServer::IdAssignmentPolicyValue value)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (::PortableServer::ImplicitActivationPolicyValue value)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (::PortableServer::ServantRetentionPolicyValue value)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (::PortableServer::RequestProcessingPolicyValue value)=0 throw ( CORBA::SystemException )
virtual char * | the_name ()=0 throw ( CORBA::SystemException )
virtual ::PortableServer::POA_ptr | the_parent ()=0 throw ( CORBA::SystemException )
virtual ::PortableServer::POAList * | the_children ()=0 throw ( CORBA::SystemException )
virtual ::PortableServer::POAManager_ptr | the_POAManager ()=0 throw ( CORBA::SystemException )
virtual ::PortableServer::AdapterActivator_ptr | the_activator ()=0 throw ( CORBA::SystemException )
virtual void | the_activator (::PortableServer::AdapterActivator_ptr the_activator)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::ServantManager_ptr | get_servant_manager ()=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )
virtual void | set_servant_manager (::PortableServer::ServantManager_ptr imgr)=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )
virtual ::PortableServer::Servant | get_servant ()=0 throw ( CORBA::SystemException, ::PortableServer::POA::NoServant, ::PortableServer::POA::WrongPolicy )
virtual void | set_servant (::PortableServer::Servant p_servant)=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )
virtual ::PortableServer::ObjectId * | activate_object (::PortableServer::Servant p_servant)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::WrongPolicy )
virtual void | activate_object_with_id (const ::PortableServer::ObjectId &id,::PortableServer::Servant p_servant)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::ObjectAlreadyActive, ::PortableServer::POA::WrongPolicy )
virtual void | deactivate_object (const ::PortableServer::ObjectId &oid)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference (const char *intf)=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_id (const ::PortableServer::ObjectId &oid, const char *intf)=0 throw ( CORBA::SystemException )
virtual ::PortableServer::ObjectId * | servant_to_id (::PortableServer::Servant p_servant)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ServantNotActive, ::PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | servant_to_reference (::PortableServer::Servant p_servant)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ServantNotActive, ::PortableServer::POA::WrongPolicy )
virtual ::PortableServer::Servant | reference_to_servant (::CORBA::Object_ptr reference)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongAdapter, ::PortableServer::POA::WrongPolicy )
virtual ::PortableServer::ObjectId * | reference_to_id (::CORBA::Object_ptr reference)=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongAdapter, ::PortableServer::POA::WrongPolicy )
virtual ::PortableServer::Servant | id_to_servant (const ::PortableServer::ObjectId &oid)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | id_to_reference (const ::PortableServer::ObjectId &oid)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongPolicy )
virtual ::CORBA::OctetSeq * | id ()=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
POA_ptr | _duplicate (POA_ptr obj)
void | _tao_release (POA_ptr obj)
POA_ptr | _narrow (CORBA::Object_ptr obj)
POA_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
POA_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Public Attributes
readonly attribute string | the_name
readonly attribute POA | the_parent
readonly attribute POAList | the_children
readonly attribute POAManager | the_POAManager
attribute AdapterActivator | the_activator
readonly attribute CORBA::OctetSeq | id
## Static Public Attributes
::CORBA::TypeCode_ptr const | _tc_AdapterAlreadyExists
::CORBA::TypeCode_ptr const | _tc_AdapterNonExistent
::CORBA::TypeCode_ptr const | _tc_InvalidPolicy
::CORBA::TypeCode_ptr const | _tc_NoServant
::CORBA::TypeCode_ptr const | _tc_ObjectAlreadyActive
::CORBA::TypeCode_ptr const | _tc_ObjectNotActive
::CORBA::TypeCode_ptr const | _tc_ServantAlreadyActive
::CORBA::TypeCode_ptr const | _tc_ServantNotActive
::CORBA::TypeCode_ptr const | _tc_WrongAdapter
::CORBA::TypeCode_ptr const | _tc_WrongPolicy
## Protected Member Functions
| POA (void)
virtual | ~POA (void)
## Private Member Functions
| POA (const POA &)
void | operator= (const POA &)

## Member Typedef Documentation

typedef POA_ptr PortableServer::POA::_ptr_type

| Reimplemented from CORBA::Object.

typedef POA_var PortableServer::POA::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

PortableServer::POA::POA | ( | void |  | ) | `[protected]`

PortableServer::POA::~POA | ( | void |  | ) | `[protected, virtual]`

PortableServer::POA::POA | ( | const POA & |  | ) | `[private]`

## Member Function Documentation

PortableServer::POA_ptr PortableServer::POA::_duplicate | ( | POA_ptr | obj | ) | `[static]`

const char * PortableServer::POA::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableServer::POA::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Reimplemented from CORBA::Object.

POA_ptr PortableServer::POA::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Reimplemented from CORBA::Object.

POA_ptr PortableServer::POA::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void PortableServer::POA::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

void PortableServer::POA::_tao_release | ( | POA_ptr | obj | ) | `[static]`

POA_ptr PortableServer::POA::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

virtual ::PortableServer::ObjectId* PortableServer::POA::activate_object | ( | ::PortableServer::Servant | p_servant | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

ObjectId PortableServer::POA::activate_object | ( | in Servant | p_servant | ) | raises (ServantAlreadyActive, WrongPolicy)

virtual void PortableServer::POA::activate_object_with_id | ( | const ::PortableServer::ObjectId & | id,
|  | ::PortableServer::Servant | p_servant
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::ObjectAlreadyActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

void PortableServer::POA::activate_object_with_id | ( | in ObjectId | id,
|  | in Servant | p_servant
| ) | raises (ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy)

virtual ::PortableServer::IdAssignmentPolicy_ptr PortableServer::POA::create_id_assignment_policy | ( | ::PortableServer::IdAssignmentPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

IdAssignmentPolicy PortableServer::POA::create_id_assignment_policy | ( | in IdAssignmentPolicyValue | value | ) |

virtual ::PortableServer::IdUniquenessPolicy_ptr PortableServer::POA::create_id_uniqueness_policy | ( | ::PortableServer::IdUniquenessPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

IdUniquenessPolicy PortableServer::POA::create_id_uniqueness_policy | ( | in IdUniquenessPolicyValue | value | ) |

virtual ::PortableServer::ImplicitActivationPolicy_ptr PortableServer::POA::create_implicit_activation_policy | ( | ::PortableServer::ImplicitActivationPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

ImplicitActivationPolicy PortableServer::POA::create_implicit_activation_policy | ( | in ImplicitActivationPolicyValue | value | ) |

virtual ::PortableServer::LifespanPolicy_ptr PortableServer::POA::create_lifespan_policy | ( | ::PortableServer::LifespanPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

LifespanPolicy PortableServer::POA::create_lifespan_policy | ( | in LifespanPolicyValue | value | ) |

virtual ::PortableServer::POA_ptr PortableServer::POA::create_POA | ( | const char * | adapter_name,
|  | ::PortableServer::POAManager_ptr | a_POAManager,
|  | const ::CORBA::PolicyList & | policies
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::AdapterAlreadyExists, ::PortableServer::POA::InvalidPolicy )`[pure virtual]`

POA PortableServer::POA::create_POA | ( | in string | adapter_name,
|  | in POAManager | a_POAManager,
|  | in CORBA::PolicyList | policies
| ) | raises (AdapterAlreadyExists, InvalidPolicy)

virtual CORBA::Object_ptr PortableServer::POA::create_reference | ( | const char * | intf | ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_Root_POA.

Object PortableServer::POA::create_reference | ( | in CORBA::RepositoryId | intf | ) | raises (WrongPolicy)

virtual CORBA::Object_ptr PortableServer::POA::create_reference_with_id | ( | const ::PortableServer::ObjectId & | oid,
|  | const char * | intf
| ) | throw ( CORBA::SystemException )`[pure virtual]`

Object PortableServer::POA::create_reference_with_id | ( | in ObjectId | oid,
|  | in CORBA::RepositoryId | intf
| ) |

virtual ::PortableServer::RequestProcessingPolicy_ptr PortableServer::POA::create_request_processing_policy | ( | ::PortableServer::RequestProcessingPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

RequestProcessingPolicy PortableServer::POA::create_request_processing_policy | ( | in RequestProcessingPolicyValue | value | ) |

virtual ::PortableServer::ServantRetentionPolicy_ptr PortableServer::POA::create_servant_retention_policy | ( | ::PortableServer::ServantRetentionPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

ServantRetentionPolicy PortableServer::POA::create_servant_retention_policy | ( | in ServantRetentionPolicyValue | value | ) |

virtual ::PortableServer::ThreadPolicy_ptr PortableServer::POA::create_thread_policy | ( | ::PortableServer::ThreadPolicyValue | value | ) | throw ( CORBA::SystemException )`[pure virtual]`

ThreadPolicy PortableServer::POA::create_thread_policy | ( | in ThreadPolicyValue | value | ) |

virtual void PortableServer::POA::deactivate_object | ( | const ::PortableServer::ObjectId & | oid | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

void PortableServer::POA::deactivate_object | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

virtual void PortableServer::POA::destroy | ( | ::CORBA::Boolean | etherealize_objects,
|  | ::CORBA::Boolean | wait_for_completion
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableServer::POA::destroy | ( | in boolean | etherealize_objects,
|  | in boolean | wait_for_completion
| ) |

virtual ::PortableServer::POA_ptr PortableServer::POA::find_POA | ( | const char * | adapter_name,
|  | ::CORBA::Boolean | activate_it
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::AdapterNonExistent )`[pure virtual]`

POA PortableServer::POA::find_POA | ( | in string | adapter_name,
|  | in boolean | activate_it
| ) | raises (AdapterNonExistent)

virtual ::PortableServer::Servant PortableServer::POA::get_servant | ( |  | ) | throw ( CORBA::SystemException, ::PortableServer::POA::NoServant, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_Root_POA.

Servant PortableServer::POA::get_servant | ( |  | ) | raises (NoServant, WrongPolicy)

| Implemented in TAO_Root_POA.

virtual ::PortableServer::ServantManager_ptr PortableServer::POA::get_servant_manager | ( |  | ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

| Implemented in TAO_Root_POA.

ServantManager PortableServer::POA::get_servant_manager | ( |  | ) | raises (WrongPolicy)

| Implemented in TAO_Root_POA.

virtual ::CORBA::OctetSeq* PortableServer::POA::id | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Root_POA.

virtual CORBA::Object_ptr PortableServer::POA::id_to_reference | ( | const ::PortableServer::ObjectId & | oid | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

Object PortableServer::POA::id_to_reference | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

virtual ::PortableServer::Servant PortableServer::POA::id_to_servant | ( | const ::PortableServer::ObjectId & | oid | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

Servant PortableServer::POA::id_to_servant | ( | in ObjectId | oid | ) | raises (ObjectNotActive, WrongPolicy)

CORBA::Boolean PortableServer::POA::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void PortableServer::POA::operator= | ( | const POA & |  | ) | `[private]`

virtual ::PortableServer::ObjectId* PortableServer::POA::reference_to_id | ( | ::CORBA::Object_ptr | reference | ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongAdapter, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

ObjectId PortableServer::POA::reference_to_id | ( | in Object | reference | ) | raises (WrongAdapter, WrongPolicy)

virtual ::PortableServer::Servant PortableServer::POA::reference_to_servant | ( | ::CORBA::Object_ptr | reference | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ObjectNotActive, ::PortableServer::POA::WrongAdapter, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

Servant PortableServer::POA::reference_to_servant | ( | in Object | reference | ) | raises (ObjectNotActive, WrongAdapter, WrongPolicy)

virtual ::PortableServer::ObjectId* PortableServer::POA::servant_to_id | ( | ::PortableServer::Servant | p_servant | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ServantNotActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

ObjectId PortableServer::POA::servant_to_id | ( | in Servant | p_servant | ) | raises (ServantNotActive, WrongPolicy)

virtual CORBA::Object_ptr PortableServer::POA::servant_to_reference | ( | ::PortableServer::Servant | p_servant | ) | throw ( CORBA::SystemException, ::PortableServer::POA::ServantNotActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

Object PortableServer::POA::servant_to_reference | ( | in Servant | p_servant | ) | raises (ServantNotActive, WrongPolicy)

virtual void PortableServer::POA::set_servant | ( | ::PortableServer::Servant | p_servant | ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

void PortableServer::POA::set_servant | ( | in Servant | p_servant | ) | raises (WrongPolicy)

virtual void PortableServer::POA::set_servant_manager | ( | ::PortableServer::ServantManager_ptr | imgr | ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

void PortableServer::POA::set_servant_manager | ( | in ServantManager | imgr | ) | raises (WrongPolicy)

virtual void PortableServer::POA::the_activator | ( | ::PortableServer::AdapterActivator_ptr | the_activator | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableServer::AdapterActivator_ptr PortableServer::POA::the_activator | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Root_POA.

virtual ::PortableServer::POAList* PortableServer::POA::the_children | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Root_POA.

virtual char* PortableServer::POA::the_name | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Root_POA.

virtual ::PortableServer::POA_ptr PortableServer::POA::the_parent | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Regular_POA, and TAO_Root_POA.

virtual ::PortableServer::POAManager_ptr PortableServer::POA::the_POAManager | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Root_POA.

## Member Data Documentation

CORBA::TypeCode_ptr const PortableServer::POA::_tc_AdapterAlreadyExists`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_AdapterAlreadyExists

CORBA::TypeCode_ptr const PortableServer::POA::_tc_AdapterNonExistent`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_AdapterNonExistent

CORBA::TypeCode_ptr const PortableServer::POA::_tc_InvalidPolicy`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_InvalidPolicy

CORBA::TypeCode_ptr const PortableServer::POA::_tc_NoServant`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_NoServant

CORBA::TypeCode_ptr const PortableServer::POA::_tc_ObjectAlreadyActive`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_ObjectAlreadyActive

CORBA::TypeCode_ptr const PortableServer::POA::_tc_ObjectNotActive`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_ObjectNotActive

CORBA::TypeCode_ptr const PortableServer::POA::_tc_ServantAlreadyActive`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_ServantAlreadyActive

CORBA::TypeCode_ptr const PortableServer::POA::_tc_ServantNotActive`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_ServantNotActive

CORBA::TypeCode_ptr const PortableServer::POA::_tc_WrongAdapter`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_WrongAdapter

CORBA::TypeCode_ptr const PortableServer::POA::_tc_WrongPolicy`[static]`

| Initial value:
      &_tao_tc_PortableServer_POA_WrongPolicy

readonly attribute CORBA::OctetSeq PortableServer::POA::id

attribute AdapterActivator PortableServer::POA::the_activator

readonly attribute POAList PortableServer::POA::the_children

readonly attribute string PortableServer::POA::the_name

readonly attribute POA PortableServer::POA::the_parent

readonly attribute POAManager PortableServer::POA::the_POAManager

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h
- PortableServerA.cpp
- PortableServerC.cpp